﻿@model List<Student> 

<h1 class="bd-title text-center" id="content">Estudiantes</h1>

<div class="row align-content-center">
    <div class="offset-2 col-8 mt-2">
        <div class="card" >
            <table class="table table-borderless">
              <thead>
                <tr>
                  <th scope="col">Nombre</th>
                  <th scope="col">Apellido</th>
                  <th scope="col">Fecha inscripción</th>
                  <th scope="col">Acciones</th>
                </tr>
              </thead>
              <tbody>
                 @foreach (var item in Model)
                 {
                    <tr>
                        <td>@item.FirstName</td>
                        <td>@item.LastName</td>
                        <td>
                            @if (item.EnrollmentDate.HasValue)
                            {
                                @item.EnrollmentDate.Value.ToShortDateString();       
                            }
                        </td>
                        <td>
                            <a class="btn btn-sm btn-outline-primary" href="/enrollment/create?studentId=@item.Id"><i class="far fa-address-book"></i></a> 
                            <a class="btn btn-sm btn-outline-primary" href="student/edit?studentId=@item.Id" ><i class="far fa-edit"></i></a> 
                        </td>
                    </tr>
                 }
              </tbody>
            </table>
        </div>
    </div>
</div>